Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 666)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 667)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!  
+!  nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
@@ -65,5 +65,5 @@
              CASE ( 'e' )
                 IF ( .NOT. ALLOCATED( e_av ) )  THEN
-                   ALLOCATE( e_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( e_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 e_av = 0.0
@@ -71,5 +71,5 @@
              CASE ( 'lwp*' )
                 IF ( .NOT. ALLOCATED( lwp_av ) )  THEN
-                   ALLOCATE( lwp_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( lwp_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 lwp_av = 0.0
@@ -77,5 +77,5 @@
              CASE ( 'p' )
                 IF ( .NOT. ALLOCATED( p_av ) )  THEN
-                   ALLOCATE( p_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( p_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 p_av = 0.0
@@ -83,5 +83,5 @@
              CASE ( 'pc' )
                 IF ( .NOT. ALLOCATED( pc_av ) )  THEN
-                   ALLOCATE( pc_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( pc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 pc_av = 0.0
@@ -89,5 +89,5 @@
              CASE ( 'pr' )
                 IF ( .NOT. ALLOCATED( pr_av ) )  THEN
-                   ALLOCATE( pr_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( pr_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 pr_av = 0.0
@@ -95,5 +95,5 @@
              CASE ( 'prr*' )
                 IF ( .NOT. ALLOCATED( precipitation_rate_av ) )  THEN
-                   ALLOCATE( precipitation_rate_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( precipitation_rate_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 precipitation_rate_av = 0.0
@@ -101,5 +101,5 @@
              CASE ( 'pt' )
                 IF ( .NOT. ALLOCATED( pt_av ) )  THEN
-                   ALLOCATE( pt_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( pt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 pt_av = 0.0
@@ -107,5 +107,5 @@
              CASE ( 'q' )
                 IF ( .NOT. ALLOCATED( q_av ) )  THEN
-                   ALLOCATE( q_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( q_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 q_av = 0.0
@@ -113,5 +113,5 @@
              CASE ( 'ql' )
                 IF ( .NOT. ALLOCATED( ql_av ) )  THEN
-                   ALLOCATE( ql_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( ql_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 ql_av = 0.0
@@ -119,5 +119,5 @@
              CASE ( 'ql_c' )
                 IF ( .NOT. ALLOCATED( ql_c_av ) )  THEN
-                   ALLOCATE( ql_c_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( ql_c_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 ql_c_av = 0.0
@@ -125,5 +125,5 @@
              CASE ( 'ql_v' )
                 IF ( .NOT. ALLOCATED( ql_v_av ) )  THEN
-                   ALLOCATE( ql_v_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( ql_v_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 ql_v_av = 0.0
@@ -131,5 +131,5 @@
              CASE ( 'ql_vp' )
                 IF ( .NOT. ALLOCATED( ql_vp_av ) )  THEN
-                   ALLOCATE( ql_vp_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( ql_vp_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 ql_vp_av = 0.0
@@ -137,5 +137,5 @@
              CASE ( 'qsws*' )
                 IF ( .NOT. ALLOCATED( qsws_av ) )  THEN
-                   ALLOCATE( qsws_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( qsws_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 qsws_av = 0.0
@@ -143,5 +143,5 @@
              CASE ( 'qv' )
                 IF ( .NOT. ALLOCATED( qv_av ) )  THEN
-                   ALLOCATE( qv_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( qv_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 qv_av = 0.0
@@ -149,5 +149,5 @@
              CASE ( 'rho' )
                 IF ( .NOT. ALLOCATED( rho_av ) )  THEN
-                   ALLOCATE( rho_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( rho_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 rho_av = 0.0
@@ -155,5 +155,5 @@
              CASE ( 's' )
                 IF ( .NOT. ALLOCATED( s_av ) )  THEN
-                   ALLOCATE( s_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( s_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 s_av = 0.0
@@ -161,5 +161,5 @@
              CASE ( 'sa' )
                 IF ( .NOT. ALLOCATED( sa_av ) )  THEN
-                   ALLOCATE( sa_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( sa_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 sa_av = 0.0
@@ -167,5 +167,5 @@
              CASE ( 'shf*' )
                 IF ( .NOT. ALLOCATED( shf_av ) )  THEN
-                   ALLOCATE( shf_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( shf_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 shf_av = 0.0
@@ -173,5 +173,5 @@
              CASE ( 't*' )
                 IF ( .NOT. ALLOCATED( ts_av ) )  THEN
-                   ALLOCATE( ts_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( ts_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 ts_av = 0.0
@@ -179,5 +179,5 @@
              CASE ( 'u' )
                 IF ( .NOT. ALLOCATED( u_av ) )  THEN
-                   ALLOCATE( u_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( u_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 u_av = 0.0
@@ -185,5 +185,5 @@
              CASE ( 'u*' )
                 IF ( .NOT. ALLOCATED( us_av ) )  THEN
-                   ALLOCATE( us_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( us_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 us_av = 0.0
@@ -191,5 +191,5 @@
              CASE ( 'v' )
                 IF ( .NOT. ALLOCATED( v_av ) )  THEN
-                   ALLOCATE( v_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( v_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 v_av = 0.0
@@ -197,5 +197,5 @@
              CASE ( 'vpt' )
                 IF ( .NOT. ALLOCATED( vpt_av ) )  THEN
-                   ALLOCATE( vpt_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( vpt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 vpt_av = 0.0
@@ -203,5 +203,5 @@
              CASE ( 'w' )
                 IF ( .NOT. ALLOCATED( w_av ) )  THEN
-                   ALLOCATE( w_av(nzb:nzt+1,nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( w_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 w_av = 0.0
@@ -209,5 +209,5 @@
              CASE ( 'z0*' )
                 IF ( .NOT. ALLOCATED( z0_av ) )  THEN
-                   ALLOCATE( z0_av(nys-1:nyn+1,nxl-1:nxr+1) )
+                   ALLOCATE( z0_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
                 z0_av = 0.0
@@ -233,6 +233,6 @@
 
           CASE ( 'e' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       e_av(k,j,i) = e_av(k,j,i) + e(k,j,i)
@@ -242,6 +242,6 @@
 
           CASE ( 'lwp*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    lwp_av(j,i) = lwp_av(j,i) + SUM( ql(nzb:nzt,j,i) * &
                                                     dzw(1:nzt+1) )
@@ -250,6 +250,6 @@
 
           CASE ( 'p' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       p_av(k,j,i) = p_av(k,j,i) + p(k,j,i)
@@ -289,6 +289,6 @@
 
           CASE ( 'pr*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    precipitation_rate_av(j,i) = precipitation_rate_av(j,i) + &
                                                 precipitation_rate(j,i)
@@ -298,7 +298,7 @@
           CASE ( 'pt' )
              IF ( .NOT. cloud_physics ) THEN
-                DO  i = nxl-1, nxr+1
-                   DO  j = nys-1, nyn+1
-                      DO  k = nzb, nzt+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   DO  k = nzb, nzt+1
                          pt_av(k,j,i) = pt_av(k,j,i) + pt(k,j,i)
                       ENDDO
@@ -306,7 +306,7 @@
                 ENDDO
              ELSE
-                DO  i = nxl-1, nxr+1
-                   DO  j = nys-1, nyn+1
-                      DO  k = nzb, nzt+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   DO  k = nzb, nzt+1
                          pt_av(k,j,i) = pt_av(k,j,i) + pt(k,j,i) + l_d_cp * &
                                                        pt_d_t(k) * ql(k,j,i)
@@ -317,6 +317,6 @@
 
           CASE ( 'q' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       q_av(k,j,i) = q_av(k,j,i) + q(k,j,i)
@@ -326,6 +326,6 @@
 
           CASE ( 'ql' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       ql_av(k,j,i) = ql_av(k,j,i) + ql(k,j,i)
@@ -335,6 +335,6 @@
 
           CASE ( 'ql_c' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       ql_c_av(k,j,i) = ql_c_av(k,j,i) + ql_c(k,j,i)
@@ -344,6 +344,6 @@
 
           CASE ( 'ql_v' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       ql_v_av(k,j,i) = ql_v_av(k,j,i) + ql_v(k,j,i)
@@ -353,6 +353,6 @@
 
           CASE ( 'ql_vp' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       ql_vp_av(k,j,i) = ql_vp_av(k,j,i) + ql_vp(k,j,i)
@@ -362,6 +362,6 @@
 
           CASE ( 'qsws*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    qsws_av(j,i) = qsws_av(j,i) + qsws(j,i)
                 ENDDO
@@ -369,6 +369,6 @@
 
           CASE ( 'qv' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       qv_av(k,j,i) = qv_av(k,j,i) + q(k,j,i) - ql(k,j,i)
@@ -378,6 +378,6 @@
 
           CASE ( 'rho' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       rho_av(k,j,i) = rho_av(k,j,i) + rho(k,j,i)
@@ -387,6 +387,6 @@
 
           CASE ( 's' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       s_av(k,j,i) = s_av(k,j,i) + q(k,j,i)
@@ -396,6 +396,6 @@
 
           CASE ( 'sa' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       sa_av(k,j,i) = sa_av(k,j,i) + sa(k,j,i)
@@ -405,6 +405,6 @@
 
           CASE ( 'shf*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    shf_av(j,i) = shf_av(j,i) + shf(j,i)
                 ENDDO
@@ -412,6 +412,6 @@
 
           CASE ( 't*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    ts_av(j,i) = ts_av(j,i) + ts(j,i)
                 ENDDO
@@ -419,6 +419,6 @@
 
           CASE ( 'u' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       u_av(k,j,i) = u_av(k,j,i) + u(k,j,i)
@@ -428,6 +428,6 @@
 
           CASE ( 'u*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    us_av(j,i) = us_av(j,i) + us(j,i)
                 ENDDO
@@ -435,6 +435,6 @@
 
           CASE ( 'v' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       v_av(k,j,i) = v_av(k,j,i) + v(k,j,i)
@@ -444,6 +444,6 @@
 
           CASE ( 'vpt' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       vpt_av(k,j,i) = vpt_av(k,j,i) + vpt(k,j,i)
@@ -453,6 +453,6 @@
 
           CASE ( 'w' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    DO  k = nzb, nzt+1
                       w_av(k,j,i) = w_av(k,j,i) + w(k,j,i)
@@ -462,6 +462,6 @@
 
           CASE ( 'z0*' )
-             DO  i = nxl-1, nxr+1
-                DO  j = nys-1, nyn+1
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
                    z0_av(j,i) = z0_av(j,i) + z0(j,i)
                 ENDDO
